<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>MockDipFactory (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MockDipFactory (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MockDipFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">cern.dip.mock</a></div>
<h2 title="Class MockDipFactory" class="title">Class MockDipFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>cern.dip.mock.MockDipFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">MockDipFactory</span>
extends java.lang.Object
implements <a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.HashMap&lt;java.lang.String,&#8203;java.util.Collection&lt;<a href="MockDipSubscription.html" title="class in cern.dip.mock">MockDipSubscription</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#m_publicationNameToSubscription">m_publicationNameToSubscription</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.HashMap&lt;<a href="MockDipSubscription.html" title="class in cern.dip.mock">MockDipSubscription</a>,&#8203;<a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#m_subscriptionToListener">m_subscriptionToListener</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">MockDipFactory</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../DipBrowser.html" title="interface in cern.dip">DipBrowser</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDipBrowser()">createDipBrowser</a></span>()</code></th>
<td class="colLast">
<div class="block">Create a browser object with which the namespace of 
 DIP may be viewed.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../DipData.html" title="interface in cern.dip">DipData</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDipData()">createDipData</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates a new DipData object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDipPublication(java.lang.String,cern.dip.DipPublicationErrorHandler)">createDipPublication</a></span>&#8203;(java.lang.String&nbsp;topicName,
                    <a href="../DipPublicationErrorHandler.html" title="interface in cern.dip">DipPublicationErrorHandler</a>&nbsp;handler)</code></th>
<td class="colLast">
<div class="block">Creates a new DipPublication object for the topic specified by topicName.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDipSubscription(java.lang.String,cern.dip.DipSubscriptionListener)">createDipSubscription</a></span>&#8203;(java.lang.String&nbsp;topicName,
                     <a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Creates a new DipSubscription object for the topic specified by topicName.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#destroyDipPublication(cern.dip.DipPublication)">destroyDipPublication</a></span>&#8203;(<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;publication)</code></th>
<td class="colLast">
<div class="block">Destroys DipPublication object previously created by createDipPublication().</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#destroyDipSubscription(cern.dip.DipSubscription)">destroyDipSubscription</a></span>&#8203;(<a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription)</code></th>
<td class="colLast">
<div class="block">Destroys DipSubscription object previously created by createDipSubscription().</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTimeout()">getTimeout</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the write and connection timeout to be used for DIP communication.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#onPublicationUpdate(cern.dip.DipPublication,cern.dip.DipData)">onPublicationUpdate</a></span>&#8203;(<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;publication,
                   <a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Use this method to programmatically cause on update on all registered subscription listeners.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDNSNode(java.lang.String)">setDNSNode</a></span>&#8203;(java.lang.String&nbsp;nodeName)</code></th>
<td class="colLast">
<div class="block">Specifies the DNS to be used for the DIP communication.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTimeout(int)">setTimeout</a></span>&#8203;(int&nbsp;timeout)</code></th>
<td class="colLast">
<div class="block">Set the write and connection timeout to be used for DIP communication.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="m_publicationNameToSubscription">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_publicationNameToSubscription</h4>
<pre>public&nbsp;java.util.HashMap&lt;java.lang.String,&#8203;java.util.Collection&lt;<a href="MockDipSubscription.html" title="class in cern.dip.mock">MockDipSubscription</a>&gt;&gt; m_publicationNameToSubscription</pre>
</li>
</ul>
<a id="m_subscriptionToListener">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_subscriptionToListener</h4>
<pre>public&nbsp;java.util.HashMap&lt;<a href="MockDipSubscription.html" title="class in cern.dip.mock">MockDipSubscription</a>,&#8203;<a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&gt; m_subscriptionToListener</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MockDipFactory</h4>
<pre>public&nbsp;MockDipFactory()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setDNSNode(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDNSNode</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDNSNode&#8203;(java.lang.String&nbsp;nodeName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#setDNSNode(java.lang.String)">DipFactory</a></code></span></div>
<div class="block">Specifies the DNS to be used for the DIP communication. 
 This setting applies for both the publications and the subscriptions.
 This method shall be used prior the creation of subscriptions or publications 
 as these become active immediatly. Further calls will be ignored.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#setDNSNode(java.lang.String)">setDNSNode</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nodeName</code> - name of the DNS to be used.</dd>
</dl>
</li>
</ul>
<a id="setTimeout(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeout</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTimeout&#8203;(int&nbsp;timeout)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#setTimeout(int)">DipFactory</a></code></span></div>
<div class="block">Set the write and connection timeout to be used for DIP communication.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#setTimeout(int)">setTimeout</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeout</code> - Timeout in seconds to be applied to new connections.</dd>
</dl>
</li>
</ul>
<a id="getTimeout()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeout</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getTimeout()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#getTimeout()">DipFactory</a></code></span></div>
<div class="block">Get the write and connection timeout to be used for DIP communication.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#getTimeout()">getTimeout</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
</dl>
</li>
</ul>
<a id="createDipSubscription(java.lang.String,cern.dip.DipSubscriptionListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDipSubscription</h4>
<pre class="methodSignature">public&nbsp;<a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;createDipSubscription&#8203;(java.lang.String&nbsp;topicName,
                                             <a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&nbsp;listener)
                                      throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#createDipSubscription(java.lang.String,cern.dip.DipSubscriptionListener)">DipFactory</a></code></span></div>
<div class="block">Creates a new DipSubscription object for the topic specified by topicName. Data
 published on this topic, as well as abnormal events such as disconnections,
 will be delivered to the listener object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#createDipSubscription(java.lang.String,cern.dip.DipSubscriptionListener)">createDipSubscription</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>topicName</code> - name of the subscription topic</dd>
<dd><code>listener</code> - is user object which implements</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code> - if the subscription cannot be created.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../DipSubscriptionListener.html" title="interface in cern.dip"><code>interface, used to receive data as well as the state of publication.</code></a></dd>
</dl>
</li>
</ul>
<a id="createDipPublication(java.lang.String,cern.dip.DipPublicationErrorHandler)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDipPublication</h4>
<pre class="methodSignature">public&nbsp;<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;createDipPublication&#8203;(java.lang.String&nbsp;topicName,
                                           <a href="../DipPublicationErrorHandler.html" title="interface in cern.dip">DipPublicationErrorHandler</a>&nbsp;handler)
                                    throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#createDipPublication(java.lang.String,cern.dip.DipPublicationErrorHandler)">DipFactory</a></code></span></div>
<div class="block">Creates a new DipPublication object for the topic specified by topicName.
 This object can then be used to publish new data on the topic. The handler
 specified by this call is used to inform the Publication developer of any
 ansynchronous (errors which can not be directly associated with any DipPublication
 method call).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#createDipPublication(java.lang.String,cern.dip.DipPublicationErrorHandler)">createDipPublication</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>topicName</code> - name of the subscription topic - must be unique</dd>
<dd><code>handler</code> - - used for handling aysnch. DIP errors.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code> - if the publication cannot be created.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../DipPublicationErrorHandler.html" title="interface in cern.dip"><code>interface,</code></a></dd>
</dl>
</li>
</ul>
<a id="destroyDipSubscription(cern.dip.DipSubscription)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destroyDipSubscription</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;destroyDipSubscription&#8203;(<a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription)
                            throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#destroyDipSubscription(cern.dip.DipSubscription)">DipFactory</a></code></span></div>
<div class="block">Destroys DipSubscription object previously created by createDipSubscription().</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#destroyDipSubscription(cern.dip.DipSubscription)">destroyDipSubscription</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code> - if the subscription is not found.</dd>
</dl>
</li>
</ul>
<a id="destroyDipPublication(cern.dip.DipPublication)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destroyDipPublication</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;destroyDipPublication&#8203;(<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;publication)
                           throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#destroyDipPublication(cern.dip.DipPublication)">DipFactory</a></code></span></div>
<div class="block">Destroys DipPublication object previously created by createDipPublication().</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#destroyDipPublication(cern.dip.DipPublication)">destroyDipPublication</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code> - if the subscription is not found.</dd>
</dl>
</li>
</ul>
<a id="createDipData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDipData</h4>
<pre class="methodSignature">public&nbsp;<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;createDipData()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#createDipData()">DipFactory</a></code></span></div>
<div class="block">Creates a new DipData object. DipData objects have to be created for publishing
 complex data.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#createDipData()">createDipData</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
</dl>
</li>
</ul>
<a id="createDipBrowser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDipBrowser</h4>
<pre class="methodSignature">public&nbsp;<a href="../DipBrowser.html" title="interface in cern.dip">DipBrowser</a>&nbsp;createDipBrowser()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipFactory.html#createDipBrowser()">DipFactory</a></code></span></div>
<div class="block">Create a browser object with which the namespace of 
 DIP may be viewed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipFactory.html#createDipBrowser()">createDipBrowser</a></code>&nbsp;in interface&nbsp;<code><a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></dd>
</dl>
</li>
</ul>
<a id="onPublicationUpdate(cern.dip.DipPublication,cern.dip.DipData)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onPublicationUpdate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;onPublicationUpdate&#8203;(<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a>&nbsp;publication,
                                <a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value)</pre>
<div class="block">Use this method to programmatically cause on update on all registered subscription listeners.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>publication</code> - The publication that was updated.</dd>
<dd><code>value</code> - The DipData packet to send to all listeners.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MockDipFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
